Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapred
Class JobHistory.HistoryCleaner

    java.lang.Object
      org.apache.hadoop.mapred.JobHistory.HistoryCleaner

All Implemented Interfaces:
  Runnable

Enclosing class:
  JobHistory

    public static class JobHistory.HistoryCleaner

extends Object
implements Runnable

Delete history files older than one month. Update master index and remove all jobs older than one month. Also if a job tracker has no jobs in last one month remove reference to the job tracker.

Constructor Summary
`JobHistory.HistoryCleaner()`

Method Summary
`void` | `run()` Cleans up history data.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JobHistory.HistoryCleaner

    public JobHistory.HistoryCleaner()

Method Detail

### run

    public void run()

  Cleans up history data.

  Specified by:
    `run` in interface `Runnable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation